#
# spec file for package ico
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ico
Version:        1.0.4
Release:        12.1
Summary:        Simple animation program used for testing X11 operations and extensions
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11) >= 0.99.1
BuildRequires:  pkgconfig(xproto) >= 7.0.22
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ico is a simple animation program that may be used for testing various
X11 operations and extensions. It displays a wire-frame rotating
polyhedron, with hidden lines removed, or a solid-fill polyhedron with
hidden faces removed.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/ico
%{_mandir}/man1/ico.1%{?ext_man}

%changelog
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 1.0.4:
  + Fix some 64-bit vs. 32-bit conversion errors.
  + Mark a couple parameters as unused to silence compiler warnings
  + Add const qualifiers to fix gcc -Wwrite-strings warnings.
  + Replace local checks for gcc with _X_NORETURN from
    xproto 7.0.17.
  + config:
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
- Replace pkgconfig(xorg-macros) with pkgconfig(xproto)
  BuildRequires, since this is what configure checks for now.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split ico from xorg-x11. Initial version: 1.0.3.
